<template>
  <q-layout view="hhh lpR fff">
    <q-header class="head header">
      <div class=" row q-px-xl q-pt-lg q-pb-md text-uppercase">
        <div class="row col-3">
          <router-link to="/"><img class="logo" src="../statics/images/logo.png"/></router-link>
          <span class="q-ml-md q-mt-sm font-regular text-h5 spacing">MINTIUM</span>
        </div>
        <div v-if="userId === 2 && isAuth" class="row col-5 q-mt-sm q-pt-xs justify-center font-regular text-subtitle1 spacing">
          <div>Личный кабинет</div>
        </div>
        <div v-else class="row col-6 q-gutter-x-xl q-mt-sm q-pt-xs font-regular text-subtitle1 spacing">
          <router-link to="/profiles"><div>Профили</div></router-link>
          <div class="q-px-lg">Статьи</div>
          <div>События</div>
        </div>
        <div class="row justify-end col-3 q-mt-sm q-mr-lg q-pt-xs font-regular text-subtitle1 spacing">
          <div v-if="isAuth" class="cursor-pointer" @click="exit">Выйти</div>
          <div v-else class="cursor-pointer" @click="modalLogin = true">Вход</div>
        </div>
      </div>
    </q-header>
    <q-page-container>
      <router-view />
      <modal-login v-if="modalLogin" @closeModalLogin="closeModalLogin" @openModalRegister="openModalRegister"/>
      <modal-register v-if="modalRegister" @closeModalRegister="closeModalRegister"/>
    </q-page-container>

  </q-layout>
</template>

<script>
import { mapGetters, mapActions } from 'vuex'
import ModalLogin from '../components/ModalLogin'
import ModalRegister from '../components/ModalRegister'
export default {
  name: 'MainLayout',
  components: {
    ModalRegister, ModalLogin
  },
  data () {
    return {
      modalLogin: false,
      modalRegister: false
    }
  },
  computed: {
    ...mapGetters({
      userId: 'auth/auth/userId',
      isAuth: 'auth/auth/isAuth'
    })
  },
  methods: {
    ...mapActions({
      logout: 'auth/auth/logout'
    }),
    exit () {
      this.logout()
      this.$router.push('/')
    },
    closeModalLogin () {
      this.modalLogin = false
    },
    openModalRegister () {
      this.modalLogin = false
      this.modalRegister = true
    },
    closeModalRegister () {
      this.modalRegister = false
    }
  }
}
</script>
<style>
  .head {
    background-color:  #FFFFFF;
    background-blend-mode: lighten;
    color: black;
  }
</style>
